defmodule Mix.Tasks.Mash do
  @moduledoc """
  Task to run Mash jobs.
  """
  @shortdoc "Run Mash jobs."

  use Mix.Task

  def run(_args) do
    {:ok, _pid} = Mash.Runner.start_link()

    receive do
      {:result, failure_count} when failure_count > 0 ->
        Mix.raise("#{failure_count} jobs failed.", exit_status: 1)

      {:result, 0} ->
        :ok
    end
  end
end
